﻿    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using Infragistics.Web.UI.GridControls;
using Infragistics.Documents.Reports.Report.Section;

    public partial class WHDG : System.Web.UI.Page
    {
    
    protected void Page_Load(object sender, EventArgs e)
    {
        EditingColumnSettings settings = ((WebHierarchicalDataGrid1.Bands[0]).Behaviors).EditingCore.Behaviors.CellEditing.ColumnSettings;
        EditingColumnSetting newSetting = new EditingColumnSetting();
        newSetting.ColumnKey = "CategoryID";
        newSetting.EditorID = "ChildDropDownProvider";
        settings.Add(newSetting);

        EditingColumnSettings parentsettings = ((WebHierarchicalDataGrid1.GridView).Behaviors).EditingCore.Behaviors.CellEditing.ColumnSettings;
        parentsettings.Add(newSetting);   

        WebHierarchicalDataGrid whdg1 = WebHierarchicalDataGrid1;
        whdg1.CollapseAll();
        
        int rowCount = whdg1.Rows.Count;
        int currentRowIndex = 0;
        for (int i = 0; i < rowCount; i++)
        {
            if (i != currentRowIndex)
            {
                ContainerGridRecord row = (ContainerGridRecord)whdg1.Rows[i];
             
                row.Expanded = false;
            }
        }
    }

    protected void WebHierarchicalDataGrid1_GroupedRowInitialized(object sender, Infragistics.Web.UI.GridControls.GroupedRowEventArgs e)
    {
        int index =  e.GroupedRow.Index;
        GroupedRecord row = WebHierarchicalDataGrid1.GridView.GroupedRows[index];
        row.Expanded = false;
        WebHierarchicalDataGrid1.GroupingSettings.GroupedRowCssClass = "NewGroupedRow";
       
        GridRecord record = this.WebHierarchicalDataGrid1.Rows.FromKey(new object[] { e.GroupedRow.Value });       
        record.CssClass = "NewRowCssClass";
    }

    protected void WebHierarchicalDataGrid1_PreRender(object sender, EventArgs e)
    {
        if (Session["Width"] != null)
        WebHierarchicalDataGrid1.GridView.Columns[1].Width = (Unit)Session["Width"];

        if (Session["IDPair"] != null)
            WebHierarchicalDataGrid1.GridView.Rows.FromIDPair((IDPair)Session["IDPair"]).IsEmptyParent = true;
    }

    protected void WebHierarchicalDataGrid1_RowUpdating(object sender, RowUpdatingEventArgs e)
    {
        Session["Width"] = WebHierarchicalDataGrid1.GridView.Columns[1].Width;

    }
    protected void WebHierarchicalDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        if (Session["IDPair"] != null)
            WebHierarchicalDataGrid1.GridView.Rows.FromIDPair((IDPair)Session["IDPair"]).IsEmptyParent = true;
    }

    protected void WebHierarchicalDataGrid1_RowIslandsPopulating(object sender, ContainerRowCancelEventArgs e)
    {
    }

    protected void WebHierarchicalDataGrid1_RowIslandDataBinding(object sender, RowIslandEventArgs e)
    {
        ContainerGrid grid = e.RowIsland;       
    }

    protected void WebHierarchicalDataGrid1_RowIslandDataBound(object sender, RowIslandEventArgs e)
    {
        ContainerGrid grid = e.RowIsland;
    }

    protected void WebHierarchicalDataGrid1_RowAdded(object sender, RowAddedEventArgs e)
    {
        Session["IDPair"] = e.RowID;      
    }
   
    protected void WebHierarchicalDataGrid1_RowExpanded(object sender, ContainerRowEventArgs e)
    {
        ContainerGridRecordCollection mainControl = e.Row.Owner;
        ContainerGrid gridView = mainControl.ControlMain;
     
        WebHierarchicalDataGrid whdg1 = gridView.MainGrid;
        int rowCount = whdg1.Rows.Count;
        int currentRowIndex = e.Row.Index;
        for (int i = 0; i < rowCount; i++ )
        {
            if (i != currentRowIndex)
            {
                ContainerGridRecord row =(ContainerGridRecord)whdg1.Rows[i];
                gridView.Rows[i].Expanded = false;
                row.Expanded = false;
            }
        }
    }
    protected void WebHierarchicalDataGrid1_RowSelectionChanged(object sender, SelectedRowEventArgs e)
    {
        ContainerGridRecord row = (ContainerGridRecord)e.CurrentSelectedRows[0];
        if (row.Level > 0)
        {
            ContainerGridRecord parent = row.Owner.ControlMain.ParentRow;
            object[] keys = parent.DataKey;
            String dataKey = keys[0].ToString();
        }
    }

    protected void WebHierarchicalDataGrid1_RowAdding(object sender, RowAddingEventArgs e)
    {
      
    }

    protected void WebHierarchicalDataGrid1_ContainerGridDataBinding(object sender, DataBindingEventArgs e)
    {
        ContainerGrid grid = (ContainerGrid)sender;
        if (grid.ParentRow != null){
            ContainerGridRecord parentRow = ((Infragistics.Web.UI.GridControls.ContainerGrid)(sender)).ParentRow;
            List<System.Web.UI.IHierarchyData> data = (List<System.Web.UI.IHierarchyData>)grid.DataSource;
          
            parentRow.Items[3].Value = 3;
            Summary summary = grid.Behaviors.SummaryRow.ColumnSummaries["UnitPrice"].Summaries[SummaryType.Sum];
 
        }
    }
    protected void WebHierarchicalDataGrid1_SummaryCalculated(object sender, SummaryEventArgs e)
    {
        double sumOfUnitPrice =(double) e.SummaryValue;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
      //  WebExcelExporter1.Export(WebHierarchicalDataGrid1);
        WebDocumentExporter1.Export(WebHierarchicalDataGrid1);
    }
    protected void WebExcelExporter1_RowExported(object sender, ExcelRowExportedEventArgs e)
    {
       
    }
    protected void WebExcelExporter1_RowExporting(object sender, ExcelRowExportingEventArgs e)
    {
        
    }
    protected void WebHierarchicalDataGrid1_DataBound(object sender, EventArgs e)
    {

    }
    protected void WebHierarchicalDataGrid1_Load(object sender, EventArgs e)
    {
        
    }
    protected void WebHierarchicalDataGrid1_ItemCommand(object sender, HandleCommandEventArgs e)
    {
        string command = e.CommandArgument.ToString();

    }
}